/*
 ķ
   Program..: TOUCHSCR2.PRG                              
   Author...: Roger J. Donnay                            
   Notice...: (c) DONNAY Software Designs 1987-2005      
   Date.....: Oct  4, 2005                               
   Notes....: Touch Screen Example                       
 Ľ

Here is a scalable Keypad and Numeric Pad that can be used in
touch-screen applications.

Run TOUCHSCR2.EXE with a numeric parameter between 1 and 2
Example: TOUCHSCR2 1.5
         TOUCHSCR2 2
*/

#include "dcdialog.ch"

FUNCTION main( cScale )

LOCAL GetList := {}, GetOptions,  nNum := 0, cString := Space(30), nScale

DEFAULT cScale := '1'
nScale := Val(cScale)

@ 1,1 DCSAY 'Enter a Number' GET nNum GETFONT '10.Courier New' ;
      PICTURE '999999.99' POPUP {|n|PopNumPad(n)} ;
      SAYFONT '7.Arial'

@ 3,1 DCSAY 'Enter a String' GET cString GETFONT '10.Courier New' ;
      POPUP {|n|PopKeyPad(n)} ;
      SAYFONT '7.Arial'

DCGETOPTIONS ;
   HILITEGETS GRA_CLR_YELLOW ;
   SAYWIDTH 100 ;
   SAYRIGHTBOTTOM ;
   SCALEFACTOR { nScale, nScale, nScale, nScale, .T. }

DC_GetOptDefault(GetOptions)

DCREAD GUI ;
   FIT ;
   ADDBUTTONS ;
   TO lOk ;
   SETAPPWINDOW ;
   OPTIONS GetOptions ;
   TITLE 'Touch Screen Demo'

RETURN nil

* -----------

PROC AppSys()
RETURN
